package com.example.ProfileUi;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.RadioGroup;
import android.widget.TextView;
import android.widget.Toast;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;

import com.example.ProfileUI.R;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        //Save Information Button
        Button saveInformationBtn = findViewById(R.id.btn_main_saveInformation);

        saveInformationBtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Toast.makeText(MainActivity.this, "User Clicked On Saved Information Button", Toast.LENGTH_SHORT).show();
                //toast.setGravity(Gravity.CENTER_HORIZONTAL | Gravity.TOP, 0,0);
                //toast.show();

            }
        });

        //Android Development CheckBox
        CheckBox androidSkillCheckBox = findViewById(R.id.checkBox_main_androidDevelopment);

        androidSkillCheckBox.setOnCheckedChangeListener(new CompoundButton.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
                if (isChecked) {
                    Toast.makeText(MainActivity.this, "Android Skill CheckBox is Checked!", Toast.LENGTH_SHORT).show();
                } else {
                    Toast.makeText(MainActivity.this, "Android Skill CheckBox is not Checked!", Toast.LENGTH_SHORT).show();
                }


            }
        });

        //Ui Design CheckBox
        CheckBox uiDesignCheckBox = findViewById(R.id.checkbox_main_uiDesign);

        uiDesignCheckBox.setOnCheckedChangeListener(new CompoundButton.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
                if (isChecked) {
                    Toast.makeText(MainActivity.this, "Ui Desin CheckBox is Checked!", Toast.LENGTH_SHORT).show();
                } else {
                    Toast.makeText(MainActivity.this, "Ui Design CheckBox is not Checked", Toast.LENGTH_SHORT).show();
                }
            }
        });

        //Deep Learning CheckBox
        CheckBox deepLearningCheckBox = findViewById(R.id.checkBox_main_deepLearning);

        deepLearningCheckBox.setOnCheckedChangeListener(new CompoundButton.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
                if (isChecked) {
                    Toast.makeText(MainActivity.this, "Deep Learning CheckBox is Checked!", Toast.LENGTH_SHORT).show();
                } else {
                    Toast.makeText(MainActivity.this, "Deep Learning CheckBox is not Checked!", Toast.LENGTH_SHORT).show();
                }
            }
        });

        //RadioGroup Instance
        RadioGroup radioGroup = findViewById(R.id.radioGroup_main);

        radioGroup.setOnCheckedChangeListener(new RadioGroup.OnCheckedChangeListener() {
            @Override
            public void onCheckedChanged(RadioGroup group, int checkedId) {
                switch (checkedId) {
                    case R.id.radioButton_main_alborz:
                        Toast.makeText(MainActivity.this, "Alborz RadioButton is Clicked!", Toast.LENGTH_SHORT).show();
                        /*Toast toast = Toast.makeText(MainActivity.this, "alborz selected", Toast.LENGTH_SHORT);
                        toast.setGravity(Gravity.BOTTOM | Gravity.LEFT, 0, 0);
                        toast.show();*/

                        // Toast.makeText(MainActivity.this, "alborz selected", Toast.LENGTH_SHORT).show();

                        break;
                    case R.id.radioButton_main_gilan:
                        Toast.makeText(MainActivity.this, "Gilan RadioButton is Clicked!", Toast.LENGTH_SHORT).show();
                        break;
                    case R.id.radioButton_main_tehran:
                        Toast.makeText(MainActivity.this, "Tehran RadioButton is Clicked!", Toast.LENGTH_SHORT).show();
                        break;

                }


            }
        });

        Button editProfileBtn = findViewById(R.id.btn_editprofile_done);
        editProfileBtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Intent intent = new Intent(MainActivity.this, EditProfileActivity.class);
                startActivityForResult(intent, 1001);
            }
        });


    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, @Nullable Intent data) {
        //super.onActivityResult(requestCode, resultCode, data);
        if (requestCode == 1001 && resultCode == Activity.RESULT_OK && data != null) {
            String fullName = data.getStringExtra("fullName");
            TextView textview = findViewById(R.id.tv_main_fullName);
            textview.setText(fullName);

        }


    }



}

